List industries
Returns a list of industries relevant to merchant profile enrichment. Results are ordered by industry name.
To access this endpoint using an access token,
you'll need to specify the /profile-enrichment.read scope.
GET
/industries
curl -X GET "https://api.moov.io/industries" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.industries.list();
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$response = $sdk->industries->list(
);
if ($response->enrichedIndustries !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.industries.list()
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.operations.ListIndustriesResponse;
public class Application {
public static void main(String[] args) throws Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
ListIndustriesResponse res = sdk.industries().list()
.call();
if (res.enrichedIndustries().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.industries.list()
unless res.enriched_industries.nil?
# handle response
endThe request completed successfully.
{
"industries": [
{
"industry": "clothing-accessories",
"displayName": "Clothing & Accessories",
"category": "retail",
"categoryDisplayName": "Retail",
"defaultMcc": "5651"
}
]
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Response
industries
array<object>
required
Show child attributes
mcc
string
<=4 characters
Merchant Category Code
naics
string
<=6 characters
North American Industry Classification System
sic
string
<=4 characters
Standard Industrial Classification
title
string